#!/bin/sh
## Starting the components for SV serving ESO MASS-LITE in ASM VLT
## environment. Reports PIDs. 

# starting the auxilliary components with appending their logs:
pwd=`pwd`
cd /usr/src/supervisor

# Default machine to export DISPLAY for turbina windows:
#dspl=134.171.136.31
dspl=drlntt
if [ ! -n "`nmap -p 6000 $dspl|grep open.*X11`" ]; then
	dspl=:0.0
else
	dspl=$dspl:0.0
fi
tmout=30

dialog --timeout $tmout --radiolist "  Auto-startup of MASS-LITE system.\nYou \
have to select with arrow keys and [Space] and press [Enter] within $tmout sec" 11 50 5 \
 E "Start TURBINA with DISPLAY exported to $dspl" on \
 L "Start TURBINA with local displays" off \
 X "Cancel auto-startup of MASS-LITE" off 2>.tmp
res=`cat .tmp`
if [ "$res" = "L" ]; then
	dspl=:0.0
else
	if [ $res = "X" ]; then
		echo "You can start system as /usr/src/supervisor/start_mass_sv.sh"
		exit
	else
		echo ""
	fi
fi
echo "Turbina will start later in DISPLAY=$dspl"
exit
comps="circ.tcl getdimm.tcl"
for pr in $comps; do
	echo "Starting $pr..."
	echo -n "Start session " >>$pr.log
	date >>$pr.log
#SH: removed quotes and spaces:
	xterm -e ./$pr &
done

# Wait until the socket might recognize failure: given socket is used by
#  other program. Note that if $pr is already started, start will fail which
# is assumed normal.
sleep 1
for pr in $comps; do
	pro=`ps -u|grep $pr | grep -v grep`
	if [ ! -n "$pro" ]; then
		echo "program $pr start failed. See $pr.log"
	else
		echo $pro
	fi
done

# Start turbina if it was not started:
tps=`ps -aux | grep turbina | grep -v grep`
if [ ! -n "$tps" ]; then
	# turbina is not started:
	export DISPLAY=$dspl
	echo "Start turbina..."
	xterm -e /usr/src/turbina/turbina &
else
	echo "Turbina is started?..: $tps"
fi
export DISPLAY=:0.0

# Finally, start the Supervisor in current terminal: after delay:
delaytime=30
echo "Waiting $delaytime sec..."
sleep $delaytime
echo "Start Supervisor."
./sv.tcl
